/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#ifndef PERFECTSTEREOFLUXGATEDRIVER_H
#define PERFECTSTEREOFLUXGATEDRIVER_H

#include "StereoFluxgateState.h"

namespace stereo_fluxgate {

class StereoFluxgateDriver;

/**
 * Perfect implementation of the stereo Fluxgate
 */
class PerfectStereoFluxgateDriver: public StereoFluxgateState {

public:

	/**
	 * Constructor.
	 *
	 * @param Link to the class which used the state
	 */
	PerfectStereoFluxgateDriver(StereoFluxgateDriver* owner);

	/**
	 * Destructor.
	 * Empty.
	 */
	virtual ~PerfectStereoFluxgateDriver();

	/**
	 * Perform a init.
	 */
	virtual void init();

	virtual void readFieldValues();


};

}
#endif //PERFECTSTEREOFLUXGATEDRIVER_H
